function mr_ic_spectrogram(eventNumber)

global mr

persistent figureHandle axisHandle;

if isempty(figureHandle) || ~ishandle(figureHandle)
    figureHandle = figure;
    colorbar;
    axisHandle = gca;
    if mr.verboseLevel > 0
        fprintf('new figure create\n');
    end;
end;


%mr_raw_to_ic_activity(mr.eeg.event(eventNumber).latency:(mr.eeg.event(eventNumber).latency+204));
% if ica activity could be calculated
if mr_raw_to_ic_activity(mr.eeg.event(eventNumber).latency: (mr.eeg.event(eventNumber).latency + mr.eeg.samplingRate * 4))
        
    tic;
    for comp = 1:30
        [tf, freqs, times] = timefreq_silent(mr.eeg.icActivity(comp,:)', mr.eeg.samplingRate, 'freqs', [4 40],'nfreqs',20, 'freqscale','log');
        power = log(abs(tf));
    end;
    toc;
    
    %axes(axisHandle);
    %logimagesc(times, freqs, power);
    
    imagesc(times, freqs, power, 'parent', axisHandle);
    caxis([-3 3]);
    
    
    fprintf('image Triggered: type = %d, latency = %d, diff %d\n', mr.eeg.event(eventNumber).type, mr.eeg.event(eventNumber).latency,mr.numberOfFramesInAccumulatedData -  mr.eeg.event(eventNumber).latency);
end;
