function numberOfFrames = circular_buffer_number_of_frames(circularBuffer)
% return the number of frames contained (placed in) in the circular buffer

if circularBuffer.isFull
    numberOfFrames = circularBuffer.length;
else
    if circularBuffer.endId > circularBuffer.startId
        numberOfFrames = circularBuffer.endId - circularBuffer.startId + 1;
    else
        numberOfFrames = circularBuffer.length - circularBuffer.startId + 1 + circularBuffer.endId ;
    end;
end;