data = mr.accumulatedData(:,1:mr.numberOfFramesInAccumulatedData);
channelOffset = 0;
xs = double(data((2+channelOffset):3:120,:));
ys = double(data((1+channelOffset):3:120,:));
zs = double(data((3+channelOffset):3:120,:));

%%

maxLimits = [max(xs(:))  max(ys(:)) max(zs(:))];
minLimits = [min(xs(:))  min(ys(:)) min(zs(:))];

figure; 
for frame = 10000:50:size(xs,2)
scatter3(xs(:, frame), ys(:, frame), zs(:, frame),100,'filled');
xlim([minLimits(1) maxLimits(1)]);
ylim([minLimits(2) maxLimits(2)]); 
zlim([minLimits(3) maxLimits(3)]); 
drawnow;
end;

